{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>index</title>
	<link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}">
</head>

<body>
{% block nav %}
	<nav class="navbar navbar-expand-lg navbar-light bg-light sticky-top" style="background-color: #005A99">
		<a class="navbar-brand" href="{% url 'Modelo:Index' %}">Proyecto 7</a>
			<ul class="navbar-nav mr-auto">	
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Perros:Lista'%}">Perros</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Perros:gLista'%}">Perros Generics</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:ListaAPIView'%}">Api-Readonly</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:CrearAPIView'%}">Api-Write</a>
				</li>
				<li class="nav-item">
					<a class="nav-link disabled" href="#">User</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:UserAPIView'%}">Api-Readonly</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:UserAPICreate'%}">Api-Write</a>
				</li>
		</ul>	
		<form class="form-inline my-2" id="buscar">
			<input type="search" name="q" class="form-control" arial-label="Search">
			<button class="btn btn-outline-dark" type="submit">Buscar</button>
		</form>
		{% if request.user.is_authenticated %}
		<ul class="navbar-nav mr-auto">
			<li class="nav-item">
				<a class="nav-link"href="{% url 'logout' %}">Salir</a>
			</li>
		</ul>
{% endif %}
	</nav>
{% endblock %}
<div class="container">
{% block container %}
	<div class="row">
		<div class="col-md">
			<h1>Soy el index</h1>
			<ul class="navbar-nav">
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template1'%}">Template 1</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template2'%}">Template 2</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template3'%}">Template 3</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template4'%}">Template 4</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template5'%}">Template 5</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template6'%}">Template 6</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template7'%}">Template 7</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template8'%}">Template 8</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template9'%}">Template 9</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template10'%}">Template 10</a>
				</li>
			</ul>
		</div>
		<div class="col-md">
			<div class="row">
				{% if request.user.is_authenticated %}
					<a href="#" style="color:#fff;">{{request.user.username}}<b>Hola</b></a>
					{% else %}
					<form class="form-inline" method="post" action="{% url 'login'%}">
					{% csrf_token %}
						<input class="form-control form-control-sm mr-sm-2" name="username" type="text" placeholder="username">
						<input class="form-control form-control-sm mr-sm-2" name="password" type="password" placeholder="password">
						<button class="btn btn-outline-dark btn-sm mr-1" type="submit" value="login"><b>Sign in</b></button>
						<a href="{% url 'Usuarios:Usuario_Registrar'%}" class="btn btn-light btn-sm"> <b>Register</b></a>
						<p><small>{{form.errors}}</small></p>		
					</form>
				{% endif %}
			</div>
		</div>
	</div>
{% endblock %}
</div>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
<script src="{% static 'js/bootstrap.js' %}"></script>
</body>
</html>